(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     12656,        466]
NotebookOptionsPosition[      9499,        349]
NotebookOutlinePosition[      9935,        366]
CellTagsIndexPosition[      9892,        363]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 "New in: ",
 Cell["1.0", "HistoryData",
  CellTags->"New"],
 " | Modified in: ",
 Cell[" ", "HistoryData",
  CellTags->"Modified"],
 " | Obsolete in: ",
 Cell[" ", "HistoryData",
  CellTags->"Obsolete"],
 " | Excised in: ",
 Cell[" ", "HistoryData",
  CellTags->"Excised"]
}], "History",
 CellID->1247902091],

Cell[CellGroupData[{

Cell["Categorization", "CategorizationSection",
 CellID->1122911449],

Cell["Symbol", "Categorization",
 CellLabel->"Entity Type",
 CellID->686433507],

Cell["ModelBuilding", "Categorization",
 CellLabel->"Paclet Name",
 CellID->605800465],

Cell["ModelBuilding`", "Categorization",
 CellLabel->"Context",
 CellID->468444828],

Cell["ModelBuilding/ref/MBgetDimensionsOfReps", "Categorization",
 CellLabel->"URI"]
}, Closed]],

Cell[CellGroupData[{

Cell["Keywords", "KeywordsSection",
 CellID->477174294],

Cell["XXXX", "Keywords",
 CellID->1164421360]
}, Closed]],

Cell[CellGroupData[{

Cell["Syntax Templates", "TemplatesSection",
 CellID->1872225408],

Cell[BoxData[""], "Template",
 CellLabel->"Additional Function Template",
 CellID->1562036412],

Cell[BoxData[""], "Template",
 CellLabel->"Arguments Pattern",
 CellID->158391909],

Cell[BoxData[""], "Template",
 CellLabel->"Local Variables",
 CellID->1360575930],

Cell[BoxData[""], "Template",
 CellLabel->"Color Equal Signs",
 CellID->793782254]
}, Closed]],

Cell[CellGroupData[{

Cell["Details", "DetailsSection",
 CellID->307771771],

Cell["XXXX", "Details",
 CellLabel->"Lead",
 CellID->670882175],

Cell["XXXX", "Details",
 CellLabel->"Developers",
 CellID->350963985],

Cell["XXXX", "Details",
 CellLabel->"Authors",
 CellID->8391405],

Cell["XXXX", "Details",
 CellLabel->"Feature Name",
 CellID->3610269],

Cell["XXXX", "Details",
 CellLabel->"QA",
 CellID->401364205],

Cell["XXXX", "Details",
 CellLabel->"DA",
 CellID->350204745],

Cell["XXXX", "Details",
 CellLabel->"Docs",
 CellID->732958810],

Cell["XXXX", "Details",
 CellLabel->"Features Page Notes",
 CellID->222905350],

Cell["XXXX", "Details",
 CellLabel->"Comments",
 CellID->240026365]
}, Closed]],

Cell[CellGroupData[{

Cell["MBgetDimensionsOfReps", "ObjectName",
 CellID->1224892054],

Cell[TextData[{
 Cell["   ", "ModInfo"],
 Cell[BoxData[
  RowBox[{"MBgetDimensionsOfReps", "[", "Group", "]"}]], "InlineFormula"],
 " \[LineSeparator]MBgetDimensionsOfReps returns the dimensions of all \
representation of Group in a list."
}], "Usage",
 CellChangeTimes->{{3.526882552004076*^9, 3.526882580078862*^9}},
 CellID->982511436]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[GridBox[{
    {
     StyleBox["Examples", "PrimaryExamplesSection"], 
     ButtonBox[
      RowBox[{
       RowBox[{"More", " ", "Examples"}], " ", "\[RightTriangle]"}],
      BaseStyle->"ExtendedExamplesLink",
      ButtonData:>"ExtendedExamples"]}
   }],
  $Line = 0; Null]], "PrimaryExamplesSection",
 CellID->880084151],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Discrete`ModelBuildingTools`\>\"", "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.526882623496271*^9, 3.526882639275949*^9}, {
  3.52694148476749*^9, 3.526941491182887*^9}},
 CellLabel->"In[0]:=",
 CellID->381367340],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"A4", "=", 
   RowBox[{"MBloadGAPGroup", "[", "\"\<AlternatingGroup(4)\>\"", "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.526882640793446*^9, 3.52688265485851*^9}},
 CellLabel->"In[1]:=",
 CellID->295715308],

Cell[CellGroupData[{

Cell[BoxData["\<\"starting GAP generating AlternatingGroup(4)...\"\>"], \
"Print",
 CellChangeTimes->{{3.526882655321948*^9, 3.5268826811280107`*^9}},
 CellLabel->"During evaluation of In[1]:=",
 CellID->984564714],

Cell[BoxData["\<\"...finished\"\>"], "Print",
 CellChangeTimes->{{3.526882655321948*^9, 3.526882682164476*^9}},
 CellLabel->"During evaluation of In[1]:=",
 CellID->836655096],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\\nStructureDescription:\"\>", 
   "\[InvisibleSpace]", "\<\"A4\"\>", "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["\nStructureDescription:", "A4", "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.526882655321948*^9, 3.5268826821915493`*^9}},
 CellLabel->"During evaluation of In[1]:=",
 CellID->1583843717],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Size of Group:\"\>", "\[InvisibleSpace]", "12", 
   "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Size of Group:", 12, "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.526882655321948*^9, 3.52688268219313*^9}},
 CellLabel->"During evaluation of In[1]:=",
 CellID->1627319164],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Number of irreps: \"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Number of irreps: ", 4, "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.526882655321948*^9, 3.526882682194593*^9}},
 CellLabel->"During evaluation of In[1]:=",
 CellID->1646709546],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Dimensions of irreps:\\n\"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {"1", "2", "3", "4"},
      {"1", "1", "1", "3"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]], "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Dimensions of irreps:\n", 
   TableForm[{{1, 2, 3, 4}, {1, 1, 1, 3}}], "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.526882655321948*^9, 3.526882682196233*^9}},
 CellLabel->"During evaluation of In[1]:=",
 CellID->2145202981],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Character Table:\\n\"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {"1", "1", "1", "1"},
      {"1", "1", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], 
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]]},
      {"1", "1", 
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]]},
      {"3", 
       RowBox[{"-", "1"}], "0", "0"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]], "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Character Table:\n", 
   TableForm[{{1, 1, 1, 1}, {1, 1, E^(Complex[0, 
         Rational[-2, 3]] Pi), E^(Complex[0, 
         Rational[2, 3]] Pi)}, {1, 1, E^(Complex[0, 
         Rational[2, 3]] Pi), E^(Complex[0, 
         Rational[-2, 3]] Pi)}, {3, -1, 0, 0}}], "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.526882655321948*^9, 3.5268826822735233`*^9}},
 CellLabel->"During evaluation of In[1]:=",
 CellID->2037641996]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MBgetDimensionsOfReps", "[", "A4", "]"}]], "Input",
 CellChangeTimes->{{3.526882663412942*^9, 3.526882672090129*^9}, 
   3.5268827891104937`*^9},
 CellLabel->"In[7]:=",
 CellID->600927036],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "1", ",", "1", ",", "3"}], "}"}]], "Output",
 CellChangeTimes->{3.526882789561524*^9},
 CellLabel->"Out[7]=",
 CellID->562587008]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Tutorials", "TutorialsSection",
 CellID->1908401893],

Cell[TextData[{
 "See ",
 ButtonBox["TutorialA4.nb",
  BaseStyle->"Hyperlink",
  ButtonData->{
    FrontEnd`FileName[{
      ParentDirectory[
       ParentDirectory[]], "Tutorials"}, "Tutorial A4.nb", CharacterEncoding -> 
     "UTF-8"], None}],
 " for an example notebook."
}], "Tutorials",
 CellChangeTimes->{{3.526851147922578*^9, 3.526851220016498*^9}},
 CellID->1440733233]
}, Open  ]],

Cell[CellGroupData[{

Cell["See Also", "SeeAlsoSection",
 CellID->1255426704],

Cell[TextData[ButtonBox["MBgetDimsensionOfRep",
 BaseStyle->"Hyperlink",
 ButtonData->{"MBgetDimensionOfRep.nb", None}]], "SeeAlso",
 CellChangeTimes->{{3.526882596656342*^9, 3.526882617205945*^9}},
 CellID->929782353]
}, Open  ]]
},
WindowSize->{700, 770},
WindowMargins->{{-5, Automatic}, {Automatic, 0}},
CellContext->"Global`",
FrontEndVersion->"8.0 for Linux x86 (64-bit) (February 23, 2011)",
StyleDefinitions->FrontEnd`FileName[{"Wolfram"}, "FunctionPageStyles.nb", 
  CharacterEncoding -> "UTF-8"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 325, 14, 24, "History",
 CellID->1247902091],
Cell[CellGroupData[{
Cell[907, 38, 68, 1, 29, "CategorizationSection",
 CellID->1122911449],
Cell[978, 41, 79, 2, 70, "Categorization",
 CellID->686433507],
Cell[1060, 45, 86, 2, 70, "Categorization",
 CellID->605800465],
Cell[1149, 49, 83, 2, 70, "Categorization",
 CellID->468444828],
Cell[1235, 53, 84, 1, 70, "Categorization"]
}, Closed]],
Cell[CellGroupData[{
Cell[1356, 59, 55, 1, 19, "KeywordsSection",
 CellID->477174294],
Cell[1414, 62, 45, 1, 70, "Keywords",
 CellID->1164421360]
}, Closed]],
Cell[CellGroupData[{
Cell[1496, 68, 65, 1, 19, "TemplatesSection",
 CellID->1872225408],
Cell[1564, 71, 94, 2, 70, "Template",
 CellID->1562036412],
Cell[1661, 75, 82, 2, 70, "Template",
 CellID->158391909],
Cell[1746, 79, 81, 2, 70, "Template",
 CellID->1360575930],
Cell[1830, 83, 82, 2, 70, "Template",
 CellID->793782254]
}, Closed]],
Cell[CellGroupData[{
Cell[1949, 90, 53, 1, 19, "DetailsSection",
 CellID->307771771],
Cell[2005, 93, 63, 2, 70, "Details",
 CellID->670882175],
Cell[2071, 97, 69, 2, 70, "Details",
 CellID->350963985],
Cell[2143, 101, 64, 2, 70, "Details",
 CellID->8391405],
Cell[2210, 105, 69, 2, 70, "Details",
 CellID->3610269],
Cell[2282, 109, 61, 2, 70, "Details",
 CellID->401364205],
Cell[2346, 113, 61, 2, 70, "Details",
 CellID->350204745],
Cell[2410, 117, 63, 2, 70, "Details",
 CellID->732958810],
Cell[2476, 121, 78, 2, 70, "Details",
 CellID->222905350],
Cell[2557, 125, 67, 2, 70, "Details",
 CellID->240026365]
}, Closed]],
Cell[CellGroupData[{
Cell[2661, 132, 64, 1, 62, "ObjectName",
 CellID->1224892054],
Cell[2728, 135, 338, 8, 75, "Usage",
 CellID->982511436]
}, Open  ]],
Cell[CellGroupData[{
Cell[3103, 148, 356, 11, 69, "PrimaryExamplesSection",
 CellID->880084151],
Cell[3462, 161, 271, 7, 26, "Input",
 CellID->381367340],
Cell[CellGroupData[{
Cell[3758, 172, 247, 7, 26, "Input",
 CellID->295715308],
Cell[CellGroupData[{
Cell[4030, 183, 214, 4, 21, "Print",
 CellID->984564714],
Cell[4247, 189, 175, 3, 21, "Print",
 CellID->836655096],
Cell[4425, 194, 374, 8, 60, "Print",
 CellID->1583843717],
Cell[4802, 204, 342, 8, 41, "Print",
 CellID->1627319164],
Cell[5147, 214, 349, 8, 41, "Print",
 CellID->1646709546],
Cell[5499, 224, 956, 24, 76, "Print",
 CellID->2145202981],
Cell[6458, 250, 1782, 45, 140, "Print",
 CellID->2037641996]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[8289, 301, 212, 5, 26, "Input",
 CellID->600927036],
Cell[8504, 308, 178, 5, 25, "Output",
 CellID->562587008]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[8731, 319, 58, 1, 43, "TutorialsSection",
 CellID->1908401893],
Cell[8792, 322, 378, 12, 16, "Tutorials",
 CellID->1440733233]
}, Open  ]],
Cell[CellGroupData[{
Cell[9207, 339, 55, 1, 30, "SeeAlsoSection",
 CellID->1255426704],
Cell[9265, 342, 218, 4, 16, "SeeAlso",
 CellID->929782353]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
