(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     15617,        557]
NotebookOptionsPosition[     12102,        428]
NotebookOutlinePosition[     12538,        445]
CellTagsIndexPosition[     12495,        442]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 "New in: ",
 Cell["0.0", "HistoryData",
  CellTags->"New"],
 " | Modified in: ",
 Cell[" ", "HistoryData",
  CellTags->"Modified"],
 " | Obsolete in: ",
 Cell[" ", "HistoryData",
  CellTags->"Obsolete"],
 " | Excised in: ",
 Cell[" ", "HistoryData",
  CellTags->"Excised"]
}], "History",
 CellID->1247902091],

Cell[CellGroupData[{

Cell["Categorization", "CategorizationSection",
 CellID->1122911449],

Cell["Symbol", "Categorization",
 CellLabel->"Entity Type",
 CellID->686433507],

Cell["Discrete", "Categorization",
 CellLabel->"Paclet Name",
 CellID->605800465],

Cell["Discrete`", "Categorization",
 CellLabel->"Context",
 CellID->468444828],

Cell["Discrete/ref/MBloadGeneratedGAPGroup", "Categorization",
 CellLabel->"URI"]
}, Closed]],

Cell[CellGroupData[{

Cell["Keywords", "KeywordsSection",
 CellID->477174294],

Cell["XXXX", "Keywords",
 CellID->1164421360]
}, Closed]],

Cell[CellGroupData[{

Cell["Syntax Templates", "TemplatesSection",
 CellID->1872225408],

Cell[BoxData[""], "Template",
 CellLabel->"Additional Function Template",
 CellID->1562036412],

Cell[BoxData[""], "Template",
 CellLabel->"Arguments Pattern",
 CellID->158391909],

Cell[BoxData[""], "Template",
 CellLabel->"Local Variables",
 CellID->1360575930],

Cell[BoxData[""], "Template",
 CellLabel->"Color Equal Signs",
 CellID->793782254]
}, Closed]],

Cell[CellGroupData[{

Cell["Details", "DetailsSection",
 CellID->307771771],

Cell["XXXX", "Details",
 CellLabel->"Lead",
 CellID->670882175],

Cell["XXXX", "Details",
 CellLabel->"Developers",
 CellID->350963985],

Cell["XXXX", "Details",
 CellLabel->"Authors",
 CellID->8391405],

Cell["XXXX", "Details",
 CellLabel->"Feature Name",
 CellID->3610269],

Cell["XXXX", "Details",
 CellLabel->"QA",
 CellID->401364205],

Cell["XXXX", "Details",
 CellLabel->"DA",
 CellID->350204745],

Cell["XXXX", "Details",
 CellLabel->"Docs",
 CellID->732958810],

Cell["XXXX", "Details",
 CellLabel->"Features Page Notes",
 CellID->222905350],

Cell["XXXX", "Details",
 CellLabel->"Comments",
 CellID->240026365]
}, Closed]],

Cell[CellGroupData[{

Cell["MBloadGeneratedGAPGroup", "ObjectName",
 CellID->1224892054],

Cell[TextData[{
 Cell["   ", "ModInfo"],
 Cell[BoxData[
  RowBox[{"MBloadGeneratedGAPGroup", "[", 
   RowBox[{"List", ",", "Options"}], "]"}]], "InlineFormula"],
 " \[LineSeparator]MBloadGeneratedGAPGroup loads the group generated by the \
elements of List."
}], "Usage",
 CellChangeTimes->{{3.52694122270839*^9, 3.526941240187478*^9}, {
  3.526946071639983*^9, 3.5269460963849583`*^9}},
 CellID->982511436]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[GridBox[{
    {
     StyleBox["Examples", "PrimaryExamplesSection"], 
     ButtonBox[
      RowBox[{
       RowBox[{"More", " ", "Examples"}], " ", "\[RightTriangle]"}],
      BaseStyle->"ExtendedExamplesLink",
      ButtonData:>"ExtendedExamples"]}
   }],
  $Line = 0; Null]], "PrimaryExamplesSection",
 CellID->880084151],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Discrete`ModelBuildingTools`\>\"", "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.526851363185132*^9, 3.526851388451866*^9}, {
  3.5269413254148417`*^9, 3.526941332891141*^9}},
 CellLabel->"In[0]:=",
 CellID->323990969],

Cell[BoxData[
 RowBox[{
  RowBox[{"S4", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", 
       RowBox[{"-", "1"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "}"}]}], ";", 
  RowBox[{"T4", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "1"}], "}"}]}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.526940983705152*^9, 3.52694099445612*^9}, {
  3.526945638843672*^9, 3.526945649764847*^9}},
 CellLabel->"In[1]:=",
 CellID->818755397],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Group", "=", 
   RowBox[{"MBloadGeneratedGAPGroup", "[", 
    RowBox[{"{", 
     RowBox[{"S4", ",", "T4"}], "}"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.526946026887269*^9, 3.52694603103891*^9}},
 CellLabel->"In[3]:=",
 CellID->2035187124],

Cell[CellGroupData[{

Cell[BoxData["\<\"starting GAP generating Group([[[0, 1, 0, 0], [1, 0, 0, 0], \
[0, 0, 0, -1], [0, 0, -1, 0]], [[0, 1, 0, 0], [0, 0, 1, 0], [1, 0, 0, 0], [0, \
0, 0, 1]]])...\"\>"], "Print",
 CellChangeTimes->{
  3.5269458763667707`*^9, {3.5269460194206944`*^9, 3.5269460354750834`*^9}},
 CellLabel->"During evaluation of In[3]:=",
 CellID->1707623977],

Cell[BoxData["\<\"...finished\"\>"], "Print",
 CellChangeTimes->{
  3.5269458763667707`*^9, {3.5269460194206944`*^9, 3.526946036744482*^9}},
 CellLabel->"During evaluation of In[3]:=",
 CellID->117345682],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\\nStructureDescription:\"\>", 
   "\[InvisibleSpace]", "\<\"A4\"\>", "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["\nStructureDescription:", "A4", "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5269458763667707`*^9, {3.5269460194206944`*^9, 3.526946036780302*^9}},
 CellLabel->"During evaluation of In[3]:=",
 CellID->203139057],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Size of Group:\"\>", "\[InvisibleSpace]", "12", 
   "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Size of Group:", 12, "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5269458763667707`*^9, {3.5269460194206944`*^9, 3.526946036785716*^9}},
 CellLabel->"During evaluation of In[3]:=",
 CellID->917411541],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Number of irreps: \"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Number of irreps: ", 4, "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5269458763667707`*^9, {3.5269460194206944`*^9, 3.5269460367878027`*^9}},
 CellLabel->"During evaluation of In[3]:=",
 CellID->645697978],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Dimensions of irreps:\\n\"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {"1", "2", "3", "4"},
      {"1", "1", "1", "3"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]], "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Dimensions of irreps:\n", 
   TableForm[{{1, 2, 3, 4}, {1, 1, 1, 3}}], "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5269458763667707`*^9, {3.5269460194206944`*^9, 3.526946036790964*^9}},
 CellLabel->"During evaluation of In[3]:=",
 CellID->195756472],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Character Table:\\n\"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {"1", "1", "1", "1"},
      {"1", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], 
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], "1"},
      {"1", 
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], "1"},
      {"3", "0", "0", 
       RowBox[{"-", "1"}]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]], "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Character Table:\n", 
   TableForm[{{1, 1, 1, 1}, {1, E^(Complex[0, 
         Rational[-2, 3]] Pi), E^(Complex[0, 
         Rational[2, 3]] Pi), 1}, {1, E^(Complex[0, 
         Rational[2, 3]] Pi), E^(Complex[0, 
         Rational[-2, 3]] Pi), 1}, {3, 0, 0, -1}}], "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5269458763667707`*^9, {3.5269460194206944`*^9, 3.526946036794551*^9}},
 CellLabel->"During evaluation of In[3]:=",
 CellID->2137495441]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MBgetStructureDescription", "[", "Group", "]"}]], "Input",
 CellChangeTimes->{{3.5269460404313173`*^9, 3.526946055654488*^9}},
 CellLabel->"In[5]:=",
 CellID->2073764904],

Cell[BoxData["\<\"A4\"\>"], "Output",
 CellChangeTimes->{3.526946056082622*^9},
 CellLabel->"Out[5]=",
 CellID->1785282941]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Options", "TutorialsSection",
 CellChangeTimes->{{3.526949610844512*^9, 3.5269496115472603`*^9}},
 CellID->514489869],

Cell["\<\
This function allows for two options:\
\>", "Tutorials",
 CellChangeTimes->{{3.52694964488375*^9, 3.5269496470372267`*^9}, {
  3.52694980090382*^9, 3.526949802695479*^9}},
 CellID->1784740454],

Cell["\<\
\"CheckUnitarity\" controls whether there is a check for unitarity of all \
representations. The default is False, as this check is expensive.\
\>", "Tutorials",
 CellChangeTimes->{{3.526949804525429*^9, 3.5269498762565393`*^9}},
 CellID->222458952],

Cell["\<\
\"NumericalEvaluate\" forces the package to evaluate the Clebsch-Gordan \
coefficients numerically. The default is False.\
\>", "Tutorials",
 CellChangeTimes->{{3.526949877223015*^9, 3.5269499114156027`*^9}},
 CellID->701400908]
}, Open  ]],

Cell[CellGroupData[{

Cell["Tutorials", "TutorialsSection",
 CellID->2047509536],

Cell[TextData[{
 "See ",
 ButtonBox["TutorialA4.nb",
  BaseStyle->"Hyperlink",
  ButtonData->{
    FrontEnd`FileName[{
      ParentDirectory[
       ParentDirectory[]], "Tutorials"}, "Tutorial A4.nb", CharacterEncoding -> 
     "UTF-8"], None}],
 " for an example notebook."
}], "Tutorials",
 CellChangeTimes->{{3.526852138870805*^9, 3.526852139640601*^9}},
 CellID->816771918]
}, Open  ]],

Cell[CellGroupData[{

Cell["See Also", "SeeAlsoSection",
 CellID->1255426704],

Cell[TextData[{
 ButtonBox["MBloadGAPGroup",
  BaseStyle->"Hyperlink",
  ButtonData->{"MBloadGAPGroup.nb", None}],
 ", ",
 ButtonBox["MBloadGAPSmallGroup, ",
  BaseStyle->"Hyperlink",
  ButtonData->{"MBloadGAPSmallGroup.nb", None}],
 ButtonBox["MBloadGroupManually",
  BaseStyle->"Hyperlink",
  ButtonData->{"MBloadGroupManually.nb", None}]
}], "SeeAlso",
 CellChangeTimes->{{3.526856055053851*^9, 3.526856066342661*^9}, {
  3.526862902529171*^9, 3.5268629025299473`*^9}, {3.526863265929474*^9, 
  3.526863265930293*^9}, {3.5269412845339727`*^9, 3.526941319503851*^9}},
 CellID->929782353]
}, Open  ]]
},
WindowSize->{1280, 776},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
CellContext->"Global`",
FrontEndVersion->"8.0 for Linux x86 (64-bit) (February 23, 2011)",
StyleDefinitions->FrontEnd`FileName[{"Wolfram"}, "FunctionPageStyles.nb", 
  CharacterEncoding -> "UTF-8"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 325, 14, 24, "History",
 CellID->1247902091],
Cell[CellGroupData[{
Cell[907, 38, 68, 1, 29, "CategorizationSection",
 CellID->1122911449],
Cell[978, 41, 79, 2, 70, "Categorization",
 CellID->686433507],
Cell[1060, 45, 81, 2, 70, "Categorization",
 CellID->605800465],
Cell[1144, 49, 78, 2, 70, "Categorization",
 CellID->468444828],
Cell[1225, 53, 81, 1, 70, "Categorization"]
}, Closed]],
Cell[CellGroupData[{
Cell[1343, 59, 55, 1, 19, "KeywordsSection",
 CellID->477174294],
Cell[1401, 62, 45, 1, 70, "Keywords",
 CellID->1164421360]
}, Closed]],
Cell[CellGroupData[{
Cell[1483, 68, 65, 1, 19, "TemplatesSection",
 CellID->1872225408],
Cell[1551, 71, 94, 2, 70, "Template",
 CellID->1562036412],
Cell[1648, 75, 82, 2, 70, "Template",
 CellID->158391909],
Cell[1733, 79, 81, 2, 70, "Template",
 CellID->1360575930],
Cell[1817, 83, 82, 2, 70, "Template",
 CellID->793782254]
}, Closed]],
Cell[CellGroupData[{
Cell[1936, 90, 53, 1, 19, "DetailsSection",
 CellID->307771771],
Cell[1992, 93, 63, 2, 70, "Details",
 CellID->670882175],
Cell[2058, 97, 69, 2, 70, "Details",
 CellID->350963985],
Cell[2130, 101, 64, 2, 70, "Details",
 CellID->8391405],
Cell[2197, 105, 69, 2, 70, "Details",
 CellID->3610269],
Cell[2269, 109, 61, 2, 70, "Details",
 CellID->401364205],
Cell[2333, 113, 61, 2, 70, "Details",
 CellID->350204745],
Cell[2397, 117, 63, 2, 70, "Details",
 CellID->732958810],
Cell[2463, 121, 78, 2, 70, "Details",
 CellID->222905350],
Cell[2544, 125, 67, 2, 70, "Details",
 CellID->240026365]
}, Closed]],
Cell[CellGroupData[{
Cell[2648, 132, 66, 1, 62, "ObjectName",
 CellID->1224892054],
Cell[2717, 135, 407, 10, 75, "Usage",
 CellID->982511436]
}, Open  ]],
Cell[CellGroupData[{
Cell[3161, 150, 356, 11, 69, "PrimaryExamplesSection",
 CellID->880084151],
Cell[3520, 163, 274, 7, 26, "Input",
 CellID->323990969],
Cell[3797, 172, 1030, 30, 46, "Input",
 CellID->818755397],
Cell[CellGroupData[{
Cell[4852, 206, 284, 8, 26, "Input",
 CellID->2035187124],
Cell[CellGroupData[{
Cell[5161, 218, 352, 6, 41, "Print",
 CellID->1707623977],
Cell[5516, 226, 204, 4, 21, "Print",
 CellID->117345682],
Cell[5723, 232, 400, 9, 60, "Print",
 CellID->203139057],
Cell[6126, 243, 371, 9, 41, "Print",
 CellID->917411541],
Cell[6500, 254, 379, 9, 41, "Print",
 CellID->645697978],
Cell[6882, 265, 984, 25, 76, "Print",
 CellID->195756472],
Cell[7869, 292, 1809, 46, 140, "Print",
 CellID->2137495441]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[9727, 344, 194, 4, 26, "Input",
 CellID->2073764904],
Cell[9924, 350, 123, 3, 25, "Output",
 CellID->1785282941]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[10096, 359, 123, 2, 43, "TutorialsSection",
 CellID->514489869],
Cell[10222, 363, 202, 5, 16, "Tutorials",
 CellID->1784740454],
Cell[10427, 370, 259, 5, 29, "Tutorials",
 CellID->222458952],
Cell[10689, 377, 238, 5, 28, "Tutorials",
 CellID->701400908]
}, Open  ]],
Cell[CellGroupData[{
Cell[10964, 387, 58, 1, 43, "TutorialsSection",
 CellID->2047509536],
Cell[11025, 390, 377, 12, 16, "Tutorials",
 CellID->816771918]
}, Open  ]],
Cell[CellGroupData[{
Cell[11439, 407, 55, 1, 30, "SeeAlsoSection",
 CellID->1255426704],
Cell[11497, 410, 589, 15, 16, "SeeAlso",
 CellID->929782353]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
