(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     16403,        592]
NotebookOptionsPosition[     13021,        467]
NotebookOutlinePosition[     13457,        484]
CellTagsIndexPosition[     13414,        481]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 "New in: ",
 Cell["1.0", "HistoryData",
  CellTags->"New"],
 " | Modified in: ",
 Cell[" ", "HistoryData",
  CellTags->"Modified"],
 " | Obsolete in: ",
 Cell[" ", "HistoryData",
  CellTags->"Obsolete"],
 " | Excised in: ",
 Cell[" ", "HistoryData",
  CellTags->"Excised"]
}], "History",
 CellID->1247902091],

Cell[CellGroupData[{

Cell["Categorization", "CategorizationSection",
 CellID->1122911449],

Cell["Symbol", "Categorization",
 CellLabel->"Entity Type",
 CellID->686433507],

Cell["ModelBuilding", "Categorization",
 CellLabel->"Paclet Name",
 CellID->605800465],

Cell["ModelBuilding`", "Categorization",
 CellLabel->"Context",
 CellID->468444828],

Cell["ModelBuilding/ref/MBmultiply", "Categorization",
 CellLabel->"URI"]
}, Closed]],

Cell[CellGroupData[{

Cell["Keywords", "KeywordsSection",
 CellID->477174294],

Cell["XXXX", "Keywords",
 CellID->1164421360]
}, Closed]],

Cell[CellGroupData[{

Cell["Syntax Templates", "TemplatesSection",
 CellID->1872225408],

Cell[BoxData[""], "Template",
 CellLabel->"Additional Function Template",
 CellID->1562036412],

Cell[BoxData[""], "Template",
 CellLabel->"Arguments Pattern",
 CellID->158391909],

Cell[BoxData[""], "Template",
 CellLabel->"Local Variables",
 CellID->1360575930],

Cell[BoxData[""], "Template",
 CellLabel->"Color Equal Signs",
 CellID->793782254]
}, Closed]],

Cell[CellGroupData[{

Cell["Details", "DetailsSection",
 CellID->307771771],

Cell["XXXX", "Details",
 CellLabel->"Lead",
 CellID->670882175],

Cell["XXXX", "Details",
 CellLabel->"Developers",
 CellID->350963985],

Cell["XXXX", "Details",
 CellLabel->"Authors",
 CellID->8391405],

Cell["XXXX", "Details",
 CellLabel->"Feature Name",
 CellID->3610269],

Cell["XXXX", "Details",
 CellLabel->"QA",
 CellID->401364205],

Cell["XXXX", "Details",
 CellLabel->"DA",
 CellID->350204745],

Cell["XXXX", "Details",
 CellLabel->"Docs",
 CellID->732958810],

Cell["XXXX", "Details",
 CellLabel->"Features Page Notes",
 CellID->222905350],

Cell["XXXX", "Details",
 CellLabel->"Comments",
 CellID->240026365]
}, Closed]],

Cell[CellGroupData[{

Cell["MBmultiply", "ObjectName",
 CellID->1224892054],

Cell[TextData[{
 Cell["   ", "ModInfo"],
 Cell[BoxData[
  RowBox[{"MBmultiply", "[", 
   RowBox[{"Group", ",", "A", ",", "B"}], "]"}]], "InlineFormula"],
 " \[LineSeparator]MBmultiply multiplies A and B using the Clebsch Gordan \
coefficients of Group.\n",
 Cell["   ", "ModInfo"],
 Cell[BoxData[
  RowBox[{"MBmultiply", "[", 
   RowBox[{"Group", ",", "List"}]}]], "InlineFormula"],
 " \[LineSeparator]MBmultiply multiplies all elements in List using the \
Clebsch Gordan coefficients of Group."
}], "Usage",
 CellChangeTimes->{{3.5268822765697527`*^9, 3.526882322797003*^9}},
 CellID->982511436]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[GridBox[{
    {
     StyleBox["Examples", "PrimaryExamplesSection"], 
     ButtonBox[
      RowBox[{
       RowBox[{"More", " ", "Examples"}], " ", "\[RightTriangle]"}],
      BaseStyle->"ExtendedExamplesLink",
      ButtonData:>"ExtendedExamples"]}
   }],
  $Line = 0; Null]], "PrimaryExamplesSection",
 CellID->880084151],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Discrete`ModelBuildingTools`\>\"", "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.526851363185132*^9, 3.526851388451866*^9}, {
  3.526941683685452*^9, 3.526941691563221*^9}},
 CellLabel->"In[0]:=",
 CellID->323990969],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"A4", "=", 
   RowBox[{"MBloadGAPGroup", "[", "\"\<AlternatingGroup(4)\>\"", "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5268514020126867`*^9, 3.526851403516307*^9}, {
  3.526851440110422*^9, 3.526851442245318*^9}, {3.5268560829021873`*^9, 
  3.526856132585697*^9}, {3.526882396056267*^9, 3.526882412453025*^9}},
 CellLabel->"In[1]:=",
 CellID->183471541],

Cell[CellGroupData[{

Cell[BoxData["\<\"starting GAP generating AlternatingGroup(4)...\"\>"], \
"Print",
 CellChangeTimes->{{3.526882415858828*^9, 3.5268824316888447`*^9}},
 CellLabel->"During evaluation of In[1]:=",
 CellID->1233410949],

Cell[BoxData["\<\"...finished\"\>"], "Print",
 CellChangeTimes->{{3.526882415858828*^9, 3.526882432724778*^9}},
 CellLabel->"During evaluation of In[1]:=",
 CellID->793559740],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\\nStructureDescription:\"\>", 
   "\[InvisibleSpace]", "\<\"A4\"\>", "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["\nStructureDescription:", "A4", "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.526882415858828*^9, 3.526882432747694*^9}},
 CellLabel->"During evaluation of In[1]:=",
 CellID->2069129918],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Size of Group:\"\>", "\[InvisibleSpace]", "12", 
   "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Size of Group:", 12, "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.526882415858828*^9, 3.5268824327491302`*^9}},
 CellLabel->"During evaluation of In[1]:=",
 CellID->2082412704],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Number of irreps: \"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Number of irreps: ", 4, "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.526882415858828*^9, 3.526882432750374*^9}},
 CellLabel->"During evaluation of In[1]:=",
 CellID->1163776637],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Dimensions of irreps:\\n\"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {"1", "2", "3", "4"},
      {"1", "1", "1", "3"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]], "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Dimensions of irreps:\n", 
   TableForm[{{1, 2, 3, 4}, {1, 1, 1, 3}}], "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.526882415858828*^9, 3.526882432751927*^9}},
 CellLabel->"During evaluation of In[1]:=",
 CellID->2040879953],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Character Table:\\n\"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {"1", "1", "1", "1"},
      {"1", "1", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], 
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]]},
      {"1", "1", 
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]]},
      {"3", 
       RowBox[{"-", "1"}], "0", "0"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]], "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Character Table:\n", 
   TableForm[{{1, 1, 1, 1}, {1, 1, E^(Complex[0, 
         Rational[-2, 3]] Pi), E^(Complex[0, 
         Rational[2, 3]] Pi)}, {1, 1, E^(Complex[0, 
         Rational[2, 3]] Pi), E^(Complex[0, 
         Rational[-2, 3]] Pi)}, {3, -1, 0, 0}}], "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.526882415858828*^9, 3.526882432831647*^9}},
 CellLabel->"During evaluation of In[1]:=",
 CellID->1433646731]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"\[Chi]", "=", 
  RowBox[{"MBgetRepVector", "[", 
   RowBox[{"A4", ",", "4", ",", "\[Chi]c"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"\[Xi]", "=", 
  RowBox[{"MBgetRepVector", "[", 
   RowBox[{"A4", ",", "4", ",", "\[Xi]c"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.526882437268783*^9, 3.526882472319038*^9}},
 CellLabel->"In[4]:=",
 CellID->1609927038],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"\[Chi]c1", ",", "\[Chi]c2", ",", "\[Chi]c3"}], "}"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.526882472774678*^9},
 CellLabel->"Out[4]=",
 CellID->833140052],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"\[Xi]c1", ",", "\[Xi]c2", ",", "\[Xi]c3"}], "}"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.526882472777626*^9},
 CellLabel->"Out[5]=",
 CellID->1776545593]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MBmultiply", "[", 
  RowBox[{"A4", ",", "\[Chi]", ",", "\[Xi]"}], "]"}]], "Input",
 CellChangeTimes->{{3.526882475391204*^9, 3.526882484746216*^9}},
 CellLabel->"In[6]:=",
 CellID->261233592],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"{", 
     FractionBox[
      RowBox[{
       RowBox[{"\[Xi]c1", " ", "\[Chi]c1"}], "+", 
       RowBox[{"\[Xi]c2", " ", "\[Chi]c2"}], "+", 
       RowBox[{"\[Xi]c3", " ", "\[Chi]c3"}]}], 
      SqrtBox["3"]], "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
      FractionBox["1", "6"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", 
         SqrtBox["3"], " ", "\[Xi]c1", " ", "\[Chi]c1"}], "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"3", " ", "\[ImaginaryI]"}], "+", 
           SqrtBox["3"]}], ")"}], " ", "\[Xi]c2", " ", "\[Chi]c2"}], "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "3"}], " ", "\[ImaginaryI]"}], "+", 
           SqrtBox["3"]}], ")"}], " ", "\[Xi]c3", " ", "\[Chi]c3"}]}], 
       ")"}]}], "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
      FractionBox["1", "6"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", 
         SqrtBox["3"], " ", "\[Xi]c1", " ", "\[Chi]c1"}], "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "3"}], " ", "\[ImaginaryI]"}], "+", 
           SqrtBox["3"]}], ")"}], " ", "\[Xi]c2", " ", "\[Chi]c2"}], "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"3", " ", "\[ImaginaryI]"}], "+", 
           SqrtBox["3"]}], ")"}], " ", "\[Xi]c3", " ", "\[Chi]c3"}]}], 
       ")"}]}], "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Xi]c3", " ", "\[Chi]c2"}], ",", 
       RowBox[{"\[Xi]c1", " ", "\[Chi]c3"}], ",", 
       RowBox[{"\[Xi]c2", " ", "\[Chi]c1"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Xi]c2", " ", "\[Chi]c3"}], ",", 
       RowBox[{"\[Xi]c3", " ", "\[Chi]c1"}], ",", 
       RowBox[{"\[Xi]c1", " ", "\[Chi]c2"}]}], "}"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.526882485467351*^9},
 CellLabel->"Out[6]=",
 CellID->1140066768]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Tutorials", "TutorialsSection",
 CellID->2047509536],

Cell[TextData[{
 "See ",
 ButtonBox["TutorialA4.nb",
  BaseStyle->"Hyperlink",
  ButtonData->{
    FrontEnd`FileName[{
      ParentDirectory[
       ParentDirectory[]], "Tutorials"}, "Tutorial A4.nb", CharacterEncoding -> 
     "UTF-8"], None}],
 " for an example notebook."
}], "Tutorials",
 CellChangeTimes->{{3.526852138870805*^9, 3.526852139640601*^9}},
 CellID->816771918]
}, Open  ]],

Cell[CellGroupData[{

Cell["See Also", "SeeAlsoSection",
 CellID->1255426704],

Cell[TextData[{
 ButtonBox["MBJoin",
  BaseStyle->"Hyperlink",
  ButtonData->{"MBJoin.nb", None}],
 ", ",
 ButtonBox["MBUnion",
  BaseStyle->"Hyperlink",
  ButtonData->{"MBUnion.nb", None}]
}], "SeeAlso",
 CellChangeTimes->{{3.526882337855483*^9, 3.526882368099269*^9}},
 CellID->929782353]
}, Open  ]]
},
WindowSize->{700, 770},
WindowMargins->{{-5, Automatic}, {Automatic, 0}},
CellContext->"Global`",
FrontEndVersion->"8.0 for Linux x86 (64-bit) (February 23, 2011)",
StyleDefinitions->FrontEnd`FileName[{"Wolfram"}, "FunctionPageStyles.nb", 
  CharacterEncoding -> "UTF-8"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 325, 14, 24, "History",
 CellID->1247902091],
Cell[CellGroupData[{
Cell[907, 38, 68, 1, 29, "CategorizationSection",
 CellID->1122911449],
Cell[978, 41, 79, 2, 70, "Categorization",
 CellID->686433507],
Cell[1060, 45, 86, 2, 70, "Categorization",
 CellID->605800465],
Cell[1149, 49, 83, 2, 70, "Categorization",
 CellID->468444828],
Cell[1235, 53, 73, 1, 70, "Categorization"]
}, Closed]],
Cell[CellGroupData[{
Cell[1345, 59, 55, 1, 19, "KeywordsSection",
 CellID->477174294],
Cell[1403, 62, 45, 1, 70, "Keywords",
 CellID->1164421360]
}, Closed]],
Cell[CellGroupData[{
Cell[1485, 68, 65, 1, 19, "TemplatesSection",
 CellID->1872225408],
Cell[1553, 71, 94, 2, 70, "Template",
 CellID->1562036412],
Cell[1650, 75, 82, 2, 70, "Template",
 CellID->158391909],
Cell[1735, 79, 81, 2, 70, "Template",
 CellID->1360575930],
Cell[1819, 83, 82, 2, 70, "Template",
 CellID->793782254]
}, Closed]],
Cell[CellGroupData[{
Cell[1938, 90, 53, 1, 19, "DetailsSection",
 CellID->307771771],
Cell[1994, 93, 63, 2, 70, "Details",
 CellID->670882175],
Cell[2060, 97, 69, 2, 70, "Details",
 CellID->350963985],
Cell[2132, 101, 64, 2, 70, "Details",
 CellID->8391405],
Cell[2199, 105, 69, 2, 70, "Details",
 CellID->3610269],
Cell[2271, 109, 61, 2, 70, "Details",
 CellID->401364205],
Cell[2335, 113, 61, 2, 70, "Details",
 CellID->350204745],
Cell[2399, 117, 63, 2, 70, "Details",
 CellID->732958810],
Cell[2465, 121, 78, 2, 70, "Details",
 CellID->222905350],
Cell[2546, 125, 67, 2, 70, "Details",
 CellID->240026365]
}, Closed]],
Cell[CellGroupData[{
Cell[2650, 132, 53, 1, 62, "ObjectName",
 CellID->1224892054],
Cell[2706, 135, 596, 15, 114, "Usage",
 CellID->982511436]
}, Open  ]],
Cell[CellGroupData[{
Cell[3339, 155, 356, 11, 69, "PrimaryExamplesSection",
 CellID->880084151],
Cell[3698, 168, 272, 7, 26, "Input",
 CellID->323990969],
Cell[CellGroupData[{
Cell[3995, 179, 396, 9, 26, "Input",
 CellID->183471541],
Cell[CellGroupData[{
Cell[4416, 192, 215, 4, 21, "Print",
 CellID->1233410949],
Cell[4634, 198, 175, 3, 21, "Print",
 CellID->793559740],
Cell[4812, 203, 372, 8, 60, "Print",
 CellID->2069129918],
Cell[5187, 213, 345, 8, 41, "Print",
 CellID->2082412704],
Cell[5535, 223, 349, 8, 41, "Print",
 CellID->1163776637],
Cell[5887, 233, 956, 24, 76, "Print",
 CellID->2040879953],
Cell[6846, 259, 1780, 45, 140, "Print",
 CellID->1433646731]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[8675, 310, 383, 9, 46, "Input",
 CellID->1609927038],
Cell[9061, 321, 344, 12, 25, "Output",
 CellID->833140052],
Cell[9408, 335, 342, 12, 25, "Output",
 CellID->1776545593]
}, Open  ]],
Cell[CellGroupData[{
Cell[9787, 352, 215, 5, 26, "Input",
 CellID->261233592],
Cell[10005, 359, 2128, 66, 150, "Output",
 CellID->1140066768]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[12182, 431, 58, 1, 43, "TutorialsSection",
 CellID->2047509536],
Cell[12243, 434, 377, 12, 16, "Tutorials",
 CellID->816771918]
}, Open  ]],
Cell[CellGroupData[{
Cell[12657, 451, 55, 1, 30, "SeeAlsoSection",
 CellID->1255426704],
Cell[12715, 454, 290, 10, 16, "SeeAlso",
 CellID->929782353]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
